- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl_video_format_s Struct Reference
[Video format definitions]

Video format. More...

`#include <gavl.h>`

## Data Fields
int | frame_width
int | frame_height
int | image_width
int | image_height
int | pixel_width
int | pixel_height
gavl_pixelformat_t | pixelformat
int | frame_duration
int | timescale
gavl_framerate_mode_t | framerate_mode
gavl_chroma_placement_t | chroma_placement
gavl_interlace_mode_t | interlace_mode

## Detailed Description

Video format.

## Field Documentation

int gavl_video_format_s::frame_width

Width of the frame buffer in pixels, might be larger than image_width

int gavl_video_format_s::frame_height

Height of the frame buffer in pixels, might be larger than image_height

int gavl_video_format_s::image_width

Width of the image in pixels

int gavl_video_format_s::image_height

Height of the image in pixels

int gavl_video_format_s::pixel_width

Relative width of a pixel (pixel aspect ratio is pixel_width/pixel_height)

int gavl_video_format_s::pixel_height

Relative height of a pixel (pixel aspect ratio is pixel_width/pixel_height)

gavl_pixelformat_t gavl_video_format_s::pixelformat

Pixelformat

int gavl_video_format_s::frame_duration

Duration of a frame in timescale tics. Meaningful only if framerate_mode is GAVL_FRAMERATE_CONSTANT

int gavl_video_format_s::timescale

Timescale in tics per second

gavl_framerate_mode_t gavl_video_format_s::framerate_mode

Framerate mode

gavl_chroma_placement_t gavl_video_format_s::chroma_placement

Chroma placement

gavl_interlace_mode_t gavl_video_format_s::interlace_mode

Interlace mode

The documentation for this struct was generated from the following file:

- /sda4/XXX/YYY/F/gavl-1.0.0/include/gavl/gavl.h